Subject: bug#13103: 24.3.50; Trunk --with-ns eats 100% CPU

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Dec 2012 22:20:57 +0200

> From:   Didier Verna <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 06 Dec 2012 21:03:06 +0100
> 
> Eli Zaretskii <[email-masked]> wrote:
> 
> > When this happens, please attach a debugger to Emacs and show us where
> > it loops.  There's some guidance in etc/DEBUG regarding this; search
> > for "Emacs fails to respond".
> 
>   Problem is, the "loop" doesn't happen when I open Emacs directly with
> 
> /Applications/Emacs.app/Contents/MacOS/Emacs -Q
> 
> It only happens when I open the application the Mac way ('open',
> QuickSilver, double-click etc.). How does one attach a debugger to an app?

"gdb -p PID", where PID is the process ID.

(I assume you can use GDB on MacOS.)